org.richfaces.fragment.common

## Class TextInputComponentImpl

- java.lang.Object
- - org.richfaces.fragment.common.TextInputComponentImpl

- All Implemented Interfaces:
    TextInputComponent

      public class TextInputComponentImpl
      extends Object
      implements TextInputComponent

  Fragment for text input component. Note that the root of the component has to point to the actual input!
  Author:
    Juraj Huska, Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TextInputComponentImpl.AdvancedTextInputInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextInputComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextInputComponentImpl.AdvancedTextInputInteractions` | `advanced()`
    `TextInputComponentImpl` | `clear()` Clears this input.
    `int` | `getIntValue()` Returns `int` value of this input.
    `String` | `getStringValue()` Returns `String` value of this input.
    `TextInputComponentImpl` | `sendKeys(CharSequence text)` Fills in given text and returns actual component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextInputComponentImpl

          public TextInputComponentImpl()

  - ### Method Detail

    - #### advanced

          public TextInputComponentImpl.AdvancedTextInputInteractions advanced()

    - #### clear

          public TextInputComponentImpl clear()

      Description copied from interface: `TextInputComponent`
      Clears this input.
      Specified by:
        `clear` in interface `TextInputComponent`
      Returns:
        text input itself

    - #### getIntValue

          public int getIntValue()

      Description copied from interface: `TextInputComponent`
      Returns `int` value of this input.
      Specified by:
        `getIntValue` in interface `TextInputComponent`
      Returns:

    - #### getStringValue

          public String getStringValue()

      Description copied from interface: `TextInputComponent`
      Returns `String` value of this input.
      Specified by:
        `getStringValue` in interface `TextInputComponent`
      Returns:

    - #### sendKeys

          public TextInputComponentImpl sendKeys(CharSequence text)

      Description copied from interface: `TextInputComponent`
      Fills in given text and returns actual component.
      Specified by:
        `sendKeys` in interface `TextInputComponent`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.